diff --git a/src/bin/psql/tab-complete.c b/src/bin/psql/tab-complete.c
index 019f75a..352aada 100644
--- a/src/bin/psql/tab-complete.c
+++ b/src/bin/psql/tab-complete.c
@@ -600,7 +600,11 @@ static const SchemaQuery Query_for_list_of_matviews = {
 
 #define Query_for_list_of_template_databases \
 "SELECT pg_catalog.quote_ident(datname) FROM pg_catalog.pg_database "\
-" WHERE substring(pg_catalog.quote_ident(datname),1,%d)='%s' AND datistemplate"
+" WHERE substring(pg_catalog.quote_ident(datname),1,%d)='%s' "\
+"   AND (datistemplate "\
+"        OR (SELECT usesuper OR usesysid=datdba "\
+"              FROM pg_catalog.pg_user "\
+"             WHERE usename = USER))"
 
 #define Query_for_list_of_databases \
 "SELECT pg_catalog.quote_ident(datname) FROM pg_catalog.pg_database "\
